QGIS Application - Bug report #7628
undo while digitizing show wrong geometry of rubberband
2013-04-16 08:16 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16551
Description

While you are digitizing/editing a line or polygon, it is possible to undo the last click in your line or polygon by using the DELETE or
BACKSPACE key.

At this moment you see the red temporary object (which is a rubberband item) change, but counter intuitive. As soon as you move the
mouse it is ok, but that is because the rubberband is repainted the right way then.

Try out:

Create a polygon with 4 vertices, and put your mouse somewhere in the middle of the square.

Now hit DELETE or BACKSPACE. You will see your square.

Now hit right mouse to stop editing. While the ending polygon is ok, the temporary geometry was wrong.

The problem is that in the ggsrubberband.removelLastPoint method actually removes the last point, which is actually not what you want if
you are undoing a rubberband edit. | think you want to remove the point before the last one. In that case the rubberband stays intact and is

more intuitive.

I'll attach a patch + pull request to show

Associated revisions

Revision bfef00a6 - 2013-04-19 11:18 AM - Matthias Kuhn

Merge pull request #544 from rduivenvoorde/rubberband#7628

fix #7628

History

#1 - 2013-04-16 12:56 PM - Richard Duivenvoorde

see https:/github.com/qgis/Quantum-GIS/pull/534

#2 - 2013-04-18 07:18 AM - Richard Duivenvoorde

see https://github.com/ggis/Quantum-GlIS/pull/542

#3 - 2013-04-19 02:18 AM - Matthias Kuhn
https://github.com/qgis/Quantum-GIS/pull/534
https://github.com/qgis/Quantum-GIS/pull/542

- Status changed from Open to Closed

Fixed in changeset commit:"bfef00a64457ac2715daaade5e55579f7282c693".
